API Reference / Deal Fields

PUT /deal_fields/{deal_field_id}

Update a specific deal field

Only admins can update deal fields.

Path parameters

Name Type Description
deal_field_id req string Deal Field ID

Request body

  • idstringbson-id

    ID of the deal field

  • namestringrequired

    Name of the deal field

  • typestringrequired

    Type of the deal field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a deal doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).

    enum: date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider

  • positionintegerint32

    The position of the deal field in the list

  • choicesarray<string>

    A list of possible choices (for fields of type `multiple_choice` or `select_box`)

Responses

200 OK
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields →
    • deal_fieldobject

      Extra user-configurable data fields for Deals. Only editable by admins.

      object fields →
      • idstringbson-id

        ID of the deal field

      • namestringrequired

        Name of the deal field

      • typestringrequired

        Type of the deal field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a deal doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).

        enum: date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider

      • positionintegerint32

        The position of the deal field in the list

      • choicesarray<string>

        A list of possible choices (for fields of type `multiple_choice` or `select_box`)

Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.

Related guides